package com.example.Maps012;

import java.util.ArrayList;
import java.util.Timer;
import java.util.TimerTask;

import android.app.Activity;
import android.os.Bundle;

//Getting a GPS Location via Service 

public class GPS_trace extends Activity
{

	 Timer timer = new Timer();
    // GpsTracker gpsTracker ;
     ArrayList<Double> arrLat= new ArrayList<Double>();
     ArrayList<Double> arrLng = new ArrayList<Double>();
     private final int TIME_INTERVAL = 20000; // 20s 
     
     
     protected void onCreate(Bundle savedInstanceState)
     {
         super.onCreate(savedInstanceState);
         setContentView(R.layout.activity_main);


         // gpsTracker = new GPSTracker(this);

          timer.scheduleAtFixedRate(new TimerTask() 
          {

          
        
             public void run()
             {
                 //latitude = GPSTracker.getLatitude();
                 //longitude = GPSTracker.getLongitude();
                 //System.out.println("lat------ "+latitude);
                 //System.out.println("lng-------- "+longitude);
                 //arrLat.add(latitude);
                 //arrLng.add(longitude);

             }
         }, 0, TIME_INTERVAL);


       }



	
}
